Error updating group repository metadata maven nz dating personals

For example, if you use Maven 3 to deploy a snapshot, and then use Maven 2.0.9 (or earlier version) to deploy another snapshot of the same project, you will get an XML parse error.

[ERROR] BUILD ERROR[INFO] ------------------------------------------------------------------------[INFO] Error installing artifact's metadata: Error installing metadata: Error updating group repository metadata expected START_TAG or END_TAG not TEXT (position: TEXT seen ...

If the generated defaults, are not sufficient for an Eclipse component you can always define a specialized pom file for the component.

Default Repository Metadata Manager.install(Default Repository Metadata Manager ..java:454) at org.apache.maven.artifact.installer.

Default Artifact Installer.install(Default Artifact Installer.java:79) ... 19 more Caused by: org.apache.maven.artifact.repository.metadata. Repository Metadata Store Exception: Error updating group repository metadat a at org.apache.maven.artifact.repository.metadata.

Fortunately, this only has an effect if you are using two versions of Maven deploying to the same location (group Id, artifact Id), and it's only if you are using Maven 2.0.9.

There is also a workaround which is to use the Maven 3 property maven.metadata.legacy.

Leave a Reply